- Update the user generated content attachment settings for your program
Create a topic in the program
List all topics in the program
Update a topic in the program
Get the user generated content attachment settings for your program
List all followers of a topic
List pages for a topic
Fetch a collection of content
Create a new content post
Fetch the details of a content post
Update an existing content post
Archive an existing content post
Draft an existing content post
Publish an existing content post
Mark an existing post as ready for review
List the comments on a content post
List the replies on comment post
Add an image to a content post
Add a video for use in content of type article
Remove an image from a content post
Fetch content replications
Get a download URL for a content video
Fetch the unique count of users who can see the content post
Update the user generated...
Toggles which attachment types (images, videos, files, links) users may attach when submitting user generated content in your program.
Security
oauth2_as_a_user(Required scopes: content.write) or oauth2_as_a_server(Required scopes: content.write)
Attachment settings to update. Only the provided fields are changed. At least one must be provided.
non-empty
Whether users can attach images when submitting user generated content. Enabled by default.
Example:true
Whether users can attach videos when submitting user generated content. Enabled by default.
Example:true
Whether users can attach files when submitting user generated content. Enabled by default.
Example:true
- US1https://partner.socialchorus.com/v2/settings/user_generated_content
- US2https://partner.us2.onfirstup.com/v2/settings/user_generated_content
- EUhttps://partner.onfirstup.eu/v2/settings/user_generated_content
curl -i -X PATCH \
https://partner.socialchorus.com/v2/settings/user_generated_content \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"images_enabled": true,
"videos_enabled": true,
"files_enabled": true,
"links_enabled": true
}'Response
{ "data": { "images_enabled": true, "videos_enabled": true, "files_enabled": true, "links_enabled": true } }